Reply To: Wolfson cards, Kernel 4.9 and max2play

Max2Play Home 2016 (en) Forums Max2Play on Raspberry PI Wolfson cards, Kernel 4.9 and max2play Reply To: Wolfson cards, Kernel 4.9 and max2play

22. April 2018 at 8:35 #35255

Mike,

If you run ‚aplay -l‘ what devices do you see?

I believe the ‚Wolfson Cirrus Logic New (for Kernel 4.4+)‘ still replaces the stock kernel with a patched one, based on the older driver.

I usually install this to enable the Wolfson options, then update to the latest kernel and then update the use case scripts in /opt/max2play/wolfson (IIRC).

You may also need to do the /boot/config.txt changes, along with the /etc/modprobe.d/cirrus.conf changes.

Andy.

  • This reply was modified 2 years, 7 months ago by  ALW.